Skip to content
Esc
↑↓navigate↵open⌘Jpreview

List buildings

Early access: request API access for your workspace at https://bauhow.com/support before using this endpoint.

GET/v1/buildings
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (bh_…).

Query parameters
limitinteger
min 1 · max 500 · default: 100
offsetinteger
min 0 · max 9007199254740991 · default: 0
contactIdstring
updatedSincestring<date-time>
Responses
200

OK

dataobject[]required
Show properties
Array of object
idstringrequired
contactIdstringrequired
namestringrequired
streetstring | nullrequired
Show properties
Any of:
string
string
null
null
postalCodestring | nullrequired
Show properties
Any of:
string
string
null
null
citystring | nullrequired
Show properties
Any of:
string
string
null
null
countryCodestringrequired
buildingTypestring | nullrequired
Show properties
Any of:
string
string
null
null
buildingYearinteger | nullrequired
Show properties
Any of:
integer
integer
null
null
livingAreanumber | nullrequired
Show properties
Any of:
number
number
null
null
unitCountinteger | nullrequired
Show properties
Any of:
integer
integer
null
null
notesstring | nullrequired
Show properties
Any of:
string
string
null
null
createdAtstring<date-time>required
updatedAtstring<date-time>required
hasMorebooleanrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://app.bauhow.com/api/v1/buildings' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": [
    {
      "id": "string",
      "contactId": "string",
      "name": "string",
      "street": "string",
      "postalCode": "string",
      "city": "string",
      "countryCode": "string",
      "buildingType": "string",
      "buildingYear": -9007199254740991,
      "livingArea": 0,
      "unitCount": -9007199254740991,
      "notes": "string",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "hasMore": true
}

Was this page helpful?